<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header_sn.inc.php";
require_once($c_node['dir']['class_path'] . 'Statistic.class.php');


//append language setup
require_once($languageArrayPath . 'arr_user.lang.php');


//setup statistics
//setup statistics
$statistic = new Statistic($db, $c_acs['arr_section']['user'], $date);
$statistic->section_item_id = $user_id;
$output_statistic = $statistic->getStatistics();
$statistic->user_status = $c_node['user']['status'];
$output_node_statistics = $statistic->getNodeStatistics();
$output_node_statistics = $statistic->getNodeStatistics();


//move to template
if (!empty($output_node_statistics)) {
	$body->set('node_statistics', $output_node_statistics);
}

if (!empty($output_profile)) {
   $body->set('profile', $output_profile);
}

if (!empty($output_statistic)) {
	$body->set('user_statistic', $output_statistic);
}


$template_pageLink = $lang['txt_statistics'];
include "inc/footer.inc.php";

?>
